Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.validator
Class HibernateValidator

    java.lang.Object
      org.richfaces.validator.ObjectValidator
          org.richfaces.validator.HibernateValidator

    public class HibernateValidator

extends ObjectValidator

Perform validation by Hibernate Validator annotations

Author:
  asmirnov

Nested Class Summary

Nested classes/interfaces inherited from class org.richfaces.validator.ObjectValidator
`ObjectValidator.BasePropertyPair, ObjectValidator.ValidatorKey`

Field Summary

Fields inherited from class org.richfaces.validator.ObjectValidator
`INPUT_PARAMETERS_IS_NOT_CORRECT, VALIDATOR_PARAM`

Method Summary
`protected` | `createValidator(java.lang.Class<? extends java.lang.Object> beanClass, java.util.Locale locale)`
`protected` | `getValidator(java.lang.Class<? extends java.lang.Object> beanClass, java.util.Locale locale)` Get ( or create ) `ClassValidator` for a given bean class.
`protected java.lang.String[]` | `validate(java.lang.Object base, java.lang.String property, java.lang.Object value, java.util.Locale locale, java.util.Set<java.lang.String> profiles)` Validate bean property for a new value.
`protected InvalidValue[]` | `validateBean(java.lang.Object base, java.lang.String property, java.lang.Object value, java.util.Locale locale)` Validate bean property of the base object aganist new value
`protected InvalidValue[]` | `validateClass(java.lang.Class<? extends java.lang.Object> beanClass, java.lang.String property, java.lang.Object value, java.util.Locale locale)` Validate bean property in the base class aganist new value.
`java.lang.String[]` | `validateGraph(javax.faces.context.FacesContext context, java.lang.Object value, java.util.Set<java.lang.String> profiles)`

Methods inherited from class org.richfaces.validator.ObjectValidator
`calculateLocale, createInstance, createValidationResolver, getCurrentResourceBundle, getInstance, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### validateGraph

    public java.lang.String[] validateGraph(javax.faces.context.FacesContext context,
                                            java.lang.Object value,
                                            java.util.Set<java.lang.String> profiles)

  Specified by:
    `validateGraph` in class `ObjectValidator`

### validateClass

    protected InvalidValue[] validateClass(java.lang.Class<? extends java.lang.Object> beanClass,
                                           java.lang.String property,
                                           java.lang.Object value,
                                           java.util.Locale locale)

  Validate bean property in the base class aganist new value.

  Parameters:
    `beanClass` -
    `property` -
    `value` -
  Returns:

### getValidator

    protected  getValidator(java.lang.Class<? extends java.lang.Object> beanClass,
                                 java.util.Locale locale)

  Get ( or create ) `ClassValidator` for a given bean class.

  Parameters:
    `beanClass` -
  Returns:

### createValidator

    protected  createValidator(java.lang.Class<? extends java.lang.Object> beanClass,
                                    java.util.Locale locale)

### validate

    protected java.lang.String[] validate(java.lang.Object base,
                                          java.lang.String property,
                                          java.lang.Object value,
                                          java.util.Locale locale,
                                          java.util.Set<java.lang.String> profiles)

  Description copied from class: `ObjectValidator`
  Validate bean property for a new value.

  Specified by:
    `validate` in class `ObjectValidator`
  Parameters:
    `base` - - bean
    `property` - - bean property name.
    `value` - new value.
    `profiles` - TODO
  Returns:
    null for a valid value, array of the validation messages othervise.

### validateBean

    protected InvalidValue[] validateBean(java.lang.Object base,
                                          java.lang.String property,
                                          java.lang.Object value,
                                          java.util.Locale locale)

  Validate bean property of the base object aganist new value

  Parameters:
    `base` -
    `property` -
    `value` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.